Bug 58141 - VIEWING: Scrollbar freezes on fast scroll
Summary: VIEWING: Scrollbar freezes on fast scroll
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
3.5.7.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords: preBibisect, regression
Depends on:
Blocks: Scrollbars
  Show dependency treegraph
 
Reported: 2012-12-11 13:25 UTC by Freefri
Modified: 2020-02-14 02:31 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Freefri 2012-12-11 13:25:58 UTC
Problem description: 
I have a mouse with free scroll (Logitech G500) And when I do scroll fast libreoffices scrollbar freezes.



Steps to reproduce:
1. I press the button of my mouse to enable free scrollbar wheel (not the normal step by step)
2. I do scroll fast with zoom 100% and the page goes down, but the scroll bar doesn't go down. When I stop the wheel, the page stops and the scrollbar jumps.
3. If I do the same with zoom 30% the page do scroll much slower than usual and when is stop the wheel, the scroll continues for some seconds

Current behavior:
When I do scroll fast libreoffices scrollbar freezes.

Expected behavior:
Libreoffice scrollbar works properly and goes at the same level than the page
              
Operating System: Fedora
Last worked in: 3.5.7.2 release
Comment 1 Freefri 2012-12-11 13:28:54 UTC
https://www.dropbox.com/s/2bpjycrh03z9bwn/VID_20121211_141632.3gp
You can see a video of the problem here, pray atention to the blue scrollbars and the page scroll
Comment 2 Adolfo Jayme 2013-02-07 11:37:37 UTC
Confirmed.
Comment 3 Robinson Tryon (qubit) 2013-10-19 01:24:20 UTC Comment hidden (obsolete)
Comment 4 Matthew Francis 2014-12-04 02:33:12 UTC
I can reproduce this behaviour at the very start of bibisect-43all (3.5.0), so assuming it is a regression in the first place it's pre-bibisect

Setting Whiteboard:preBibisect
Comment 5 Robinson Tryon (qubit) 2015-12-14 05:42:53 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2017-01-03 19:49:10 UTC Comment hidden (obsolete)
Comment 7 Freefri 2017-01-04 10:51:34 UTC
The same problem with
Version: 5.2.4.2.1+
Build ID: 1:5.2.4-2
CPU Threads: 4; OS Version: Linux 4.7; UI Render: default; VCL: gtk3; 

Tested on January 2016 with 40 pages of "asdfasdf asdfasdf"
Comment 8 QA Administrators 2018-02-13 03:33:19 UTC Comment hidden (obsolete)
Comment 9 QA Administrators 2020-02-14 02:31:16 UTC
Dear Freefri,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug